com.aliyun.player

## Enum AliPlayerFactory.BlackType

- java.lang.Object
- - java.lang.Enum<AliPlayerFactory.BlackType>
  - - com.aliyun.player.AliPlayerFactory.BlackType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliPlayerFactory.BlackType>
  Enclosing class:
    AliPlayerFactory

      public static enum AliPlayerFactory.BlackType
      extends java.lang.Enum<AliPlayerFactory.BlackType>

  The type of the blacklist.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HW_Decode_H264` H264 hardware decoding.
    `HW_Decode_HEVC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliPlayerFactory.BlackType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliPlayerFactory.BlackType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HW_Decode_H264

          public static final AliPlayerFactory.BlackType HW_Decode_H264

      H264 hardware decoding.

    - #### HW_Decode_HEVC

          public static final AliPlayerFactory.BlackType HW_Decode_HEVC

  - ### Method Detail

    - #### values

          public static AliPlayerFactory.BlackType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliPlayerFactory.BlackType c : AliPlayerFactory.BlackType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliPlayerFactory.BlackType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null